###################################################
### chunk number 1: 
###################################################
op <- options(width = 50, digits = 4, scipen = 5)


###################################################
### chunk number 2: 
###################################################
library(portfolio)
data(dow.jan.2005)
summary(dow.jan.2005)
head(dow.jan.2005)


###################################################
### chunk number 3: 
###################################################
options(digits = 3)


###################################################
### chunk number 4: 
###################################################
p <- new("portfolioBasic", 
         instant = as.Date("2004-12-31"),
         id.var  = "symbol",
         in.var  = "price",
         sides   = "long", 
         ret.var = "month.ret", 
         data    = dow.jan.2005)
summary(p)


###################################################
### chunk number 5: 
###################################################
exposure(p, exp.var = c("price", "sector"))


###################################################
### chunk number 6: 
###################################################
performance(p)


###################################################
### chunk number 7: 
###################################################
contribution(p, contrib.var = c("sector"))


###################################################
### chunk number 8: 
###################################################
contribution(p, contrib.var = c("cap.bil"))


###################################################
### chunk number 9: 
###################################################
p <- new("portfolioBasic",
         instant = as.Date("2004-12-31"),
         id.var  = "symbol",
         in.var  = "price",
         type    = "linear",
         sides   = c("long", "short"),
         ret.var = "month.ret",
         data    = dow.jan.2005)
summary(p)


###################################################
### chunk number 10: 
###################################################
plot(p)


###################################################
### chunk number 11: 
###################################################
exposure(p, exp.var = c("price", "sector"))


###################################################
### chunk number 12: 
###################################################
plot(exposure(p, exp.var = c("price", "sector")))


###################################################
### chunk number 13: 
###################################################
performance(p)


###################################################
### chunk number 14: 
###################################################
contribution(p, contrib.var = c("cap.bil", "sector"))


###################################################
### chunk number 15: 
###################################################
plot(contribution(p, contrib.var = c("cap.bil", "sector")))


###################################################
### chunk number 16: 
###################################################
options(op)


